Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -13695,7 +22205,394 @@
         	"This object indicates the status of this entry."		
         ::= { igmpMulticastVlanGroupEntry 4 }
     
-          
+
+
+     -- ----------------------------------------------------------
+     -- multicastVlanTable Table 
+     -- ----------------------------------------------------------
+    
+     multicastVlanTable OBJECT-TYPE
+        SYNTAX  SEQUENCE OF MulticastVlanEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "Information about the IGMP/MLD snooping multicast VLAN table."
+        ::= { companyISMVLAN 4 }
+    
+     multicastVlanEntry OBJECT-TYPE
+        SYNTAX  MulticastVlanEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "The entry of multicastVlanTable."
+        INDEX  { multicastVlanid}
+        ::= { multicastVlanTable 1 }
+
+    MulticastVlanEntry ::= 
+        SEQUENCE {
+            multicastVlanid
+                INTEGER,
+            multicastVlanName
+                DisplayString,
+            multicastVlanSourcePort
+                PortList,
+            multicastVlanMemberPort
+                PortList,
+            multicastVlanTagMemberPort
+            	PortList,
+            multicastVlanUntaggedSourcePort
+            	PortList,
+            multicastVlanState
+            	INTEGER,
+            multicastVlanIgmpReplaceSourceIp
+            	IpAddress,
+            multicastVlanMldReplaceSourceIp
+            	Ipv6Address,
+			multicastVlanRemapPriority
+				INTEGER,
+			multicastVlanReplacePriority
+				INTEGER,
+			multicastVlanSrcPortDymLearn
+				INTEGER,
+			multicastVlanReplaceCVID
+				INTEGER,
+            multicastVlanRowStatus
+                RowStatus
+        }
+        
+    multicastVlanid OBJECT-TYPE
+        SYNTAX  INTEGER (2..4094)
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the VLAN ID of the IGMP/MLD snooping  
+             multicast VLAN entry."
+        ::= { multicastVlanEntry 1 }
+        
+    multicastVlanName OBJECT-TYPE
+        SYNTAX  DisplayString (SIZE (0..32))
+        MAX-ACCESS  read-create
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the VLAN name of the IGMP/MLD snooping
+             multicast VLAN entry."
+        ::= { multicastVlanEntry 2 }   
+            
+    multicastVlanSourcePort OBJECT-TYPE
+        SYNTAX  PortList
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the port list of the source ports of the  
+             IGMP/MLD snooping multicast VLAN. The source ports will be set as 
+             tag ports of the VLAN entry and the IGMP control messages received 
+             from themember ports will be forwarded to the source ports."
+        ::= { multicastVlanEntry 3 }   
+
+    multicastVlanMemberPort OBJECT-TYPE
+        SYNTAX  PortList
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the port list of the member ports of the 
+             IGMP/MLD snooping multicast VLAN. The source ports will be set as
+             untagged ports of the VLAN entry and the IGMP control messages 
+             received from themember ports will be forwarded to the source ports."
+        ::= { multicastVlanEntry 4 }      
+        
+    multicastVlanTagMemberPort OBJECT-TYPE
+        SYNTAX  PortList
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the port list of the tag member ports of the 
+             IGMP/MLD snooping multicast VLAN."
+        ::= { multicastVlanEntry 5 }
+
+    multicastVlanUntaggedSourcePort OBJECT-TYPE
+        SYNTAX  PortList
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the port list of the untag source ports of the 
+             IGMP/MLD snooping multicast VLAN."
+        ::= { multicastVlanEntry 6 }
+        	
+    multicastVlanState OBJECT-TYPE
+        SYNTAX  INTEGER{
+        	enabled(1),
+        	disabled(2)
+        	}
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object can be used to enable or disable the IGMP/MLD snooping 
+             multicast VLAN."
+        ::= { multicastVlanEntry 7 }
+            
+    multicastVlanIgmpReplaceSourceIp OBJECT-TYPE
+    	SYNTAX  IpAddress
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The replacement source IP of this IGMP snooping multicast VLAN."
+        ::= { multicastVlanEntry 8 }
+
+    multicastVlanMldReplaceSourceIp OBJECT-TYPE
+    	SYNTAX  Ipv6Address
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The replacement source IP of this MLD snooping multicast VLAN."
+        ::= { multicastVlanEntry 9 }
+        
+    multicastVlanRemapPriority OBJECT-TYPE
+    	SYNTAX  INTEGER (-1..7)
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The remap priority of this multicast VLAN."
+		DEFVAL  { -1 }
+        ::= { multicastVlanEntry 10 }
+        
+    multicastVlanReplacePriority OBJECT-TYPE
+    	SYNTAX  INTEGER {
+                      enabled(1),
+                      disabled(2)
+                   }
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The replacement priority of this multicast VLAN."
+		DEFVAL  { disabled }
+        ::= { multicastVlanEntry 11 }
+
+    multicastVlanSrcPortDymLearn OBJECT-TYPE
+    	SYNTAX  INTEGER {
+                      enabled(1),
+                      disabled(2)
+                   }
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The source port dynamical learn of this multicast VLAN."
+		DEFVAL  { disabled }
+        ::= { multicastVlanEntry 12 }
+
+    multicastVlanReplaceCVID OBJECT-TYPE
+    	SYNTAX  INTEGER (-1..4094)
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "The replacement cvid of this multicast VLAN."
+		DEFVAL  { -1 }
+        ::= { multicastVlanEntry 13 }
+
+    multicastVlanRowStatus OBJECT-TYPE
+        SYNTAX  RowStatus
+        MAX-ACCESS  read-create
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the status of this entry."
+        ::= { multicastVlanEntry 14 }         
+
+    -- -----------------------------------------------------------------------------
+    --  igmpMulticastVlanGroupTable	
+    -- -----------------------------------------------------------------------------   
+    multicastVlanGroupTable OBJECT-TYPE
+        SYNTAX  SEQUENCE OF MulticastVlanGroupEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "The table containing the IGMP/MLD snooping multicast VLAN group information"
+        ::= { companyISMVLAN 5 }
+
+    multicastVlanGroupEntry OBJECT-TYPE
+        SYNTAX  MulticastVlanGroupEntry
+        MAX-ACCESS  not-accessible
+        STATUS  current
+        DESCRIPTION
+            "The entry of multicastVlanGroupTable."
+        INDEX  { multicastVlanGroupVid, multicastVlanGroupIpType, multicastVlanGroupFromIp, multicastVlanGroupToIp }
+        ::= { multicastVlanGroupTable 1 }
+
+    MulticastVlanGroupEntry ::= 
+        SEQUENCE {
+            multicastVlanGroupVid
+                INTEGER,
+          	multicastVlanGroupIpType
+             		INTEGER,                
+            multicastVlanGroupFromIp
+                Ipv6Address,
+            multicastVlanGroupToIp
+                Ipv6Address,                
+            multicastVlanGroupStatus
+                RowStatus
+        }
+    
+    multicastVlanGroupVid	OBJECT-TYPE
+				SYNTAX  INTEGER (1..4094)
+        MAX-ACCESS  read-only
+        STATUS  current
+        DESCRIPTION
+            "This object indicates the VID of the IGMP/MLD snooping multicast VLAN group."
+        ::= { multicastVlanGroupEntry 1 }
+
+    multicastVlanGroupIpType OBJECT-TYPE
+        SYNTAX    INTEGER {
+               iPv4             (1),
+               iPv6	            (2)
+            }
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+        "Type of specifies the multicast address list for this VLAN."
+        ::= { multicastVlanGroupEntry 2 }
+    
+    multicastVlanGroupFromIp	OBJECT-TYPE
+    	SYNTAX      Ipv6Address
+    	MAX-ACCESS  read-only
+    	STATUS      current
+    	DESCRIPTION
+       		"Specifies the multicast address list for this VLAN."
+    	::= { multicastVlanGroupEntry 3  }
+    		
+    multicastVlanGroupToIp	OBJECT-TYPE
+    	SYNTAX      Ipv6Address
+    	MAX-ACCESS  read-only
+    	STATUS      current
+    	DESCRIPTION
+       		"Specifies the multicast address list for this VLAN."
+    	::= { multicastVlanGroupEntry 4  }
+    	
+    multicastVlanGroupStatus	OBJECT-TYPE
+        SYNTAX   RowStatus
+        MAX-ACCESS read-create
+        STATUS   current
+        DESCRIPTION
+        	"This object indicates the status of this entry."		
+        ::= { multicastVlanGroupEntry 5 }          
+ 
+	-- -----------------------------------------------------------------------------
+	-- The Guest Vlan Group
+	-- -----------------------------------------------------------------------------
+	pppoeGlobalState OBJECT-TYPE
+	    SYNTAX INTEGER  {
+        	 disabled (0),
+        	 enabled (1)
+        }
+        MAX-ACCESS  read-write
+	    STATUS      current
+	    DESCRIPTION
+		"PPPoE global state"
+	    ::= { companyPPPoE 1 }
+
+	pppoePortTable OBJECT-TYPE
+        SYNTAX SEQUENCE OF PppoePortEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "A table to control PPPoE features of the device."
+        ::= { companyPPPoE 2 }
+        
+    pppoePortEntry OBJECT-TYPE
+        SYNTAX PppoePortEntry
+        MAX-ACCESS not-accessible
+        STATUS current
+        DESCRIPTION
+            "An entry appears in PPPoE table for each interface 
+ 	        in the system."    
+ 	    INDEX {pppoePortIndex}
+        ::= { pppoePortTable 1 }
+  
+    PppoePortEntry ::= 
+        SEQUENCE {  
+           pppoePortIndex
+              Integer32,
+           pppoePortState
+              INTEGER, 
+           pppoePortCircuitIDType 
+              INTEGER,
+           pppoePortUDFString 
+              DisplayString,
+           pppoePortCircuitIDVendor3String
+              DisplayString,
+           pppoePortRemoteIDType
+              INTEGER,
+           pppoePortRemoteIDVendor3String
+              DisplayString
+        }
+           
+    pppoePortIndex OBJECT-TYPE
+        SYNTAX      Integer32 (1..6)
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+           "Interface index of the port for the configuration
+            in this entry applies."
+        ::= { pppoePortEntry 1 }
+
+    pppoePortState OBJECT-TYPE
+	    SYNTAX INTEGER  {
+        	 disabled (0),
+        	 enabled (1)
+        }
+        MAX-ACCESS  read-write
+	    STATUS      current
+	    DESCRIPTION
+		"PPPoE per port state"
+	    ::= { pppoePortEntry 2 } 
+	    
+	pppoePortCircuitIDType OBJECT-TYPE
+	    SYNTAX INTEGER  {
+        	 ip (0),
+        	 mac (1),
+        	 udf (2),
+             vendor2 (3),
+             vendor3 (4)
+        }
+        MAX-ACCESS  read-write
+	    STATUS      current
+	    DESCRIPTION
+		"PPPoE per port circuit ID type"
+	    ::= { pppoePortEntry 3 }
+     
+    pppoePortUDFString OBJECT-TYPE
+	    SYNTAX      DisplayString(SIZE(1..32))
+        MAX-ACCESS  read-write
+	    STATUS      current
+	    DESCRIPTION
+		"PPPoE per port UDF string"
+	    ::= { pppoePortEntry 4 }    
+	    
+    pppoePortCircuitIDVendor3String OBJECT-TYPE
+	    SYNTAX      DisplayString(SIZE(1..32))
+        MAX-ACCESS  read-write
+	    STATUS      current
+	    DESCRIPTION
+		"PPPoE per port circuit ID vendor3 string"
+	    ::= { pppoePortEntry 5 }    
+	    
+	pppoePortRemoteIDType OBJECT-TYPE
+	    SYNTAX INTEGER  {
+        	 default (0),
+        	 vendor2 (1),
+        	 vendor3 (2)
+        }
+        MAX-ACCESS  read-write
+	    STATUS      current
+	    DESCRIPTION
+		"PPPoE per port remote ID type"
+	    ::= { pppoePortEntry 6 }
+     
+    pppoePortRemoteIDVendor3String OBJECT-TYPE
+	    SYNTAX      DisplayString(SIZE(1..32))
+        MAX-ACCESS  read-write
+	    STATUS      current
+	    DESCRIPTION
+		"PPPoE per port remote ID vendor3 string"
+	    ::= { pppoePortEntry 7 }    
+	    
         -- ----------------------------------------------------------------
         -- The RMON group
         -- ----------------------------------------------------------------
